#ifndef _STACK_H_
#define _STACK_H_

#include <stdio.h>

typedef int element;

typedef struct StackNode
{
	element item;
	struct StackNode *link;
}StackNode;

typedef struct{
	StackNode *top;
}LinkedStackType;

void init(LinkedStackType *s);

int isEmpty(LinkedStackType *s);

int isFull(LinkedStackType *s);

void push(LinkedStackType *s, element item);

element pop(LinkedStackType *s);

element peek(LinkedStackType *s);
