#include <stdio.h>
#include <string.h>
#include <unistd.h>

#define FILE_INPUT_SIZE 100
#define TRUE 1
#define FALSE 0

int FindDuplicate(int n);

int main(void)
{
	int n = 0;
	int duplicate = -1;
	FILE *fp = NULL;	
	char fileInput[FILE_INPUT_SIZE] = "NULL";
	int isFileExist = -1;

	do
	{
		printf("please input filename : ");
		scanf("%s", fileInput);

		isFileExist = access(fileInput, F_OK);

		if(-1 == isFileExist)
		{
			printf("file doesn't exist\n");
		}
	}while(isFileExist == -1);

	fp = freopen(fileInput, "r",stdin);

	scanf("%d", &n);

	if(n > 0)
	{

		duplicate = FindDuplicate(n);		

		if(duplicate != -1)
	        {
			printf("Incorrect. %d is duplicated.\n", duplicate);
		}
		else
		{
			printf("Correct.\n");
		}
	}
	else
	{
		printf("n is 0 or file is wrong\n");
	}


	fclose(fp);

	return 0;
}		

int FindDuplicate(int n)
{
	int i = 0;
	int num = 0;
	int index = 0;
	int bitPos = 0;
	int duplicate = -1;
	int arr[32];

	memset(arr, 0, sizeof(arr));

	for(i = 0; i < n; i++)
	{
		scanf("%d", &num); 

		index = num / 32;
		bitPos = num %  32;

		if(arr[index] & (1 << bitPos))
		{
			duplicate = num;
			break;
		}
		else
		{
			arr[index] |= (1 << bitPos);
		}
	}	

	return duplicate;		
}
